File: gen-provides

package info (click to toggle)
debhelper 13.2.1
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 4,608 kB
  • sloc: perl: 12,248; makefile: 125; sh: 9
file content (21 lines) | stat: -rw-r--r-- 644 bytes parent folder | download | duplicates (3)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
#!/usr/bin/perl

use strict;
use warnings;
use Debian::Debhelper::Dh_Lib qw(error);

my @provides;
my $lowest = Debian::Debhelper::Dh_Lib::LOWEST_VIRTUAL_DEBHELPER_COMPAT_LEVEL
    // error("LOWEST_VIRTUAL_DEBHELPER_COMPAT_LEVEL is undef");
my $highest = Debian::Debhelper::Dh_Lib::HIGHEST_STABLE_COMPAT_LEVEL
    // error("HIGHEST_STABLE_COMPAT_LEVEL is undef");

if ($highest < $lowest) {
    error("HIGHEST_STABLE_COMPAT_LEVEL is lower than LOWEST_VIRTUAL_DEBHELPER_COMPAT_LEVEL");
}

for (my $i = $lowest ; $i <= $highest ; $i++) {
    push(@provides, "debhelper-compat (= $i)");
}
print "dh:CompatLevels=" . join(", ", @provides) . "\n";